org.apache.hc.client5.http.impl.auth

## Interface ScramExtension

    public interface ScramExtension

Extension hook for optional SCRAM attributes.

Since:
  5.6

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `process(String name, String value, HttpContext context)` Process an extension attribute.
`boolean` `supports(String name)` Whether this extension supports the given attribute name.

### Method Detail

#### process

    boolean process(String name,
                    String value,
                    HttpContext context)
             throws AuthenticationException

Process an extension attribute.

Parameters:
  `name` - attribute name
  `value` - attribute value or `null`
  `context` - HTTP context
Returns:
  true if processed, false to ignore
Throws:
  `AuthenticationException` - on processing error
Since:
  5.6

#### supports

    boolean supports(String name)

Whether this extension supports the given attribute name.

Parameters:
  `name` - attribute name
Returns:
  true if supported
Since:
  5.6